%global modname fedbadges

Name:               python-fedbadges
Version:            0.5.2
Release:            10%{?dist}
Summary:            fedmsg consumer for awarding open badges

Group:              Development/Libraries
License:            GPLv2+
URL:                http://pypi.python.org/pypi/fedbadges
Source0:            http://pypi.python.org/packages/source/f/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      python2-setuptools
BuildRequires:      fedmsg
BuildRequires:      python2-pyyaml
BuildRequires:      python2-fedmsg-meta-fedora-infrastructure
BuildRequires:      python2-tahrir-api
BuildRequires:      python2-datanommer-models
BuildRequires:      python2-zope-sqlalchemy

BuildRequires:      python2-nose
BuildRequires:      python2-mock


%global _description\
fedbadges is the python module necessary to award Open Badges from\
fedmsg bus activity.  It installs a 'consumer' for the fedmsg-hub.\
Each message it receives is compared against any number of rules defined\
in config files on disk.  If any match, badges are awarded to the\
appropriate users.

%description %_description

%package -n python2-fedbadges
Summary: %summary
Requires:           fedmsg
Requires:           python2-pyyaml
Requires:           python2-fedmsg-meta-fedora-infrastructure
Requires:           python2-tahrir-api >= 0.6.0
Requires:           python2-datanommer-models
Requires:           python2-zope-sqlalchemy
%{?python_provide:%python_provide python2-fedbadges}

%description -n python2-fedbadges %_description

%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

sed -i 's/install_requires/#install_requires/' setup.py

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

# This executable just doesn't work.  So remove it.  Our code
# can still be used via the fedmsg-hub daemon.
rm %{buildroot}/%{_bindir}/fedmsg-badges

%check
%{__python2} setup.py test

%files -n python2-fedbadges
%doc README.rst LICENSE
%{python2_sitelib}/%{modname}/
%{python2_sitelib}/%{modname}-%{version}*

%changelog
* Mon Jul 23 2018 Kevin Fenzi <kevin@scrye.com> - 0.5.2-10
- Fix FTBFS bug #1605671

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Mar 09 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.5.2-8
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.2-6
- Python 2 binary package renamed to python2-fedbadges
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Aug 28 2015 Ralph Bean <rbean@redhat.com> - 0.5.2-1
- new version

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue May 05 2015 Ralph Bean <rbean@redhat.com> - 0.5.1-1
- new version

* Mon Sep 29 2014 Ralph Bean <rbean@redhat.com> - 0.5.0-1
- Latest upstream.
- Reorganized internals to now rely on fedmsg queueing (accurate monitoring).

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 16 2014 Ralph Bean <rbean@redhat.com> - 0.4.3-1
- Bugfix release for pkgdb2 support.

* Mon Mar 31 2014 Ralph Bean <rbean@redhat.com> - 0.4.2-1
- Bugfix release.

* Wed Mar 05 2014 Ralph Bean <rbean@redhat.com> - 0.4.1-1
- Bugfix release.

* Tue Mar 04 2014 Ralph Bean <rbean@redhat.com> - 0.4.0-1
- Start tracking the events that trigger badges
- New pkgdb criteria rule.
- Optimizations with frozensets.

* Mon Aug 26 2013 Ralph Bean <rbean@redhat.com> - 0.3.0-1
- Latest upstream.
- Make use of enhanced tahrir-api for fedmsg and rank caching.
- Allow more complex datanommer query "operations".

* Tue Jul 30 2013 Ralph Bean <rbean@redhat.com> - 0.2.4-2
- Patch: allow recipient_nick2fas.

* Tue Jul 30 2013 Ralph Bean <rbean@redhat.com> - 0.2.4-1
- Latest upstream.  Excludes opted-out users.

* Wed Jul 17 2013 Ralph Bean <rbean@redhat.com> - 0.2.3-1
- Latest upstream with simplified badge ids.

* Tue Jul 16 2013 Ralph Bean <rbean@redhat.com> - 0.2.2-1
- Latest upstream with DB transaction support.

* Fri Jun 07 2013 Ralph Bean <rbean@redhat.com> - 0.2.0-1
- Initial packaging for Fedora.
